Bug 1357997 - Enable CONFIG_SLUB_DEBUG and CONFIG_SLABINFO
Summary: Enable CONFIG_SLUB_DEBUG and CONFIG_SLABINFO
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel
Version: 2.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Luis Claudio R. Goncalves
QA Contact: Jiri Kastner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 19:10 UTC by Daniel Bristot de Oliveira
Modified: 2019-11-14 08:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Enable CONFIG_SLUB_DEBUG and CONFIG_SLABINFO kernel config options to turn on SLUB allocator debugging and slab information tracking so that /proc/slabinfo is available Reason: Support engineers use the values provided by /proc/slabinfo when investigating kernel memory allocation problems. Result: MRG/R kernel will have the same debugging features as the RHEL kernel
Clone Of:
Environment:
Last Closed: 2017-01-17 18:00:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0113 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2017-01-17 22:47:44 UTC

Description Daniel Bristot de Oliveira 2016-07-19 19:10:34 UTC
Description of problem:

The /proc/slabinfo file provides information about kernel memory consumption
via slab. This file is very helpful in the support while investigating
kernel memory consumption. Unfortunately, this file is not present on
MRG-RT kernel, although it is on RHEL-RT one.

Is it possible to enable:

CONFIG_SLUB_DEBUG=y
CONFIG_SLABINFO=y

on MRG-RT kernel? they are enabled on RHEL-RT, so it is known that they
do not cause latencies.


Version-Release number of selected component (if applicable):
3.10.0-327.rt56.190.el6rt.x86_64

How reproducible:
Always

Steps to Reproduce:
1. # cat /proc/slabinfo

Actual results:
[root@rhel6minimal ~]# cat /proc/slabinfo
cat: /proc/slabinfo: No such file or directory

Expected results:
[root@rhel6minimal ~]# cat /proc/slabinfo
<information about slab usage>

Additional info:

Comment 6 errata-xmlrpc 2017-01-17 18:00:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0113.html


Note You need to log in before you can comment on or make changes to this bug.